Loading...
Searching...
No Matches
gsm_04_14.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/endian.h>`
`#include <osmocom/core/utils.h>`

Go to the source code of this file.

## Data Structures

struct | gsm414_close_mslot_loop_cmd
struct | gsm414_close_mslot_loop_ack
struct | gsm414_gprs_test_mode_cmd
struct | gsm414_egprs_st_sb_loop_cmd

## Macros

#define | GSM414_MT_CLOSE_TCH_LOOP_CMD 0x00 /* 8.1 */
#define | GSM414_MT_CLOSE_TCH_LOOP_ACK 0x01 /* 8.2 */
#define | GSM414_MT_OPEN_LOOP_CMD 0x06 /* 8.3 */
#define | GSM414_OPEN_LOOP_ACK_IE 0x81
#define | GSM414_MT_CLOSE_MSLOT_LOOP_CMD 0x20 /* 8.4 */
#define | GSM414_MT_CLOSE_MSLOT_LOOP_ACK 0x21 /* 8.5 */
#define | GSM414_MT_OPEN_MSLOT_LOOP_CMD 0x22 /* 8.6 */
#define | GSM414_MT_OPEN_MSLOT_LOOP_ACK 0x23 /* 8.7 */
#define | GSM414_MT_ACT_EMMI_CMD 0x0c /* 8.8 */
#define | GSM414_MT_ACT_EMMI_ACK 0x0d /* 8.9 */
#define | GSM414_MT_DEACT_EMMI_CMD 0x80 /* 8.10 */
#define | GSM414_MT_TEST_INTERFACE 0x84 /* 8.11 */
#define | GSM414_TT01_MS 2500
#define | GSM414_TT02_MS 2500
#define | GSM414_TT03_MS 50
#define | GSM414_MT_GPRS_TEST_MODE_CMD 0x24 /* 8.13 */
#define | GSM414_MT_EGPRS_ST_RB_LOOP_CMD 0x25 /* 8.14 */
#define | GSM414_MT_RESET_MS_POS_STORED 0x26 /* 8.15 */
#define | GSM414_MS_POS_TECH_AGPS 0x00
#define | GSM414_MS_POS_TECH_AGNSS 0x01

## Enumerations

enum | gsm414_tch_loop_mode { GSM414_LOOP_A = 0x00 , GSM414_LOOP_B = 0x01 , GSM414_LOOP_C = 0x02 , GSM414_LOOP_D = 0x04 , GSM414_LOOP_E = 0x08 , GSM414_LOOP_F = 0x0c , GSM414_LOOP_I = 0x1c }

## Functions

struct gsm414_close_mslot_loop_cmd | __attribute__ ((packed))

## Variables

const struct value_string | gsm414_msgt_names []

## Macro Definition Documentation

## GSM414_MS_POS_TECH_AGNSS

#define GSM414_MS_POS_TECH_AGNSS 0x01

## GSM414_MS_POS_TECH_AGPS

#define GSM414_MS_POS_TECH_AGPS 0x00

## GSM414_MT_ACT_EMMI_ACK

#define GSM414_MT_ACT_EMMI_ACK 0x0d /* 8.9 */

## GSM414_MT_ACT_EMMI_CMD

#define GSM414_MT_ACT_EMMI_CMD 0x0c /* 8.8 */

## GSM414_MT_CLOSE_MSLOT_LOOP_ACK

#define GSM414_MT_CLOSE_MSLOT_LOOP_ACK 0x21 /* 8.5 */

## GSM414_MT_CLOSE_MSLOT_LOOP_CMD

#define GSM414_MT_CLOSE_MSLOT_LOOP_CMD 0x20 /* 8.4 */

## GSM414_MT_CLOSE_TCH_LOOP_ACK

#define GSM414_MT_CLOSE_TCH_LOOP_ACK 0x01 /* 8.2 */

## GSM414_MT_CLOSE_TCH_LOOP_CMD

#define GSM414_MT_CLOSE_TCH_LOOP_CMD 0x00 /* 8.1 */

## GSM414_MT_DEACT_EMMI_CMD

#define GSM414_MT_DEACT_EMMI_CMD 0x80 /* 8.10 */

## GSM414_MT_EGPRS_ST_RB_LOOP_CMD

#define GSM414_MT_EGPRS_ST_RB_LOOP_CMD 0x25 /* 8.14 */

## GSM414_MT_GPRS_TEST_MODE_CMD

#define GSM414_MT_GPRS_TEST_MODE_CMD 0x24 /* 8.13 */

## GSM414_MT_OPEN_LOOP_CMD

#define GSM414_MT_OPEN_LOOP_CMD 0x06 /* 8.3 */

## GSM414_MT_OPEN_MSLOT_LOOP_ACK

#define GSM414_MT_OPEN_MSLOT_LOOP_ACK 0x23 /* 8.7 */

## GSM414_MT_OPEN_MSLOT_LOOP_CMD

#define GSM414_MT_OPEN_MSLOT_LOOP_CMD 0x22 /* 8.6 */

## GSM414_MT_RESET_MS_POS_STORED

#define GSM414_MT_RESET_MS_POS_STORED 0x26 /* 8.15 */

## GSM414_MT_TEST_INTERFACE

#define GSM414_MT_TEST_INTERFACE 0x84 /* 8.11 */

## GSM414_OPEN_LOOP_ACK_IE

#define GSM414_OPEN_LOOP_ACK_IE 0x81

## GSM414_TT01_MS

#define GSM414_TT01_MS 2500

## GSM414_TT02_MS

#define GSM414_TT02_MS 2500

## GSM414_TT03_MS

#define GSM414_TT03_MS 50

## Enumeration Type Documentation

## gsm414_tch_loop_mode

enum gsm414_tch_loop_mode

Enumerator
GSM414_LOOP_A |
GSM414_LOOP_B |
GSM414_LOOP_C |
GSM414_LOOP_D |
GSM414_LOOP_E |
GSM414_LOOP_F |
GSM414_LOOP_I |

## Variable Documentation

## gsm414_msgt_names

const struct value_string gsm414_msgt_names[]

extern